/*____________________________________________________________________________*\
 *

 Copyright (c) 1997 John Roy. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. Redistributions of any form whatsoever and all advertising materials 
    mentioning features must contain the following
    acknowledgment:
    "This product includes software developed by John Roy
    (http://www.johnroy.com/pi3/)."

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: PiAPI.h$
 * $Date: Sun Aug 10 06:29:40 1997$
 *
 Description:
	Top level include file for PiAPI. Includes all header files
	necessary for using any facility in PiAPI.
\*____________________________________________________________________________*/
/* $HeaderTop:$ */

#ifndef PIAPI_H_
#define PIAPI_H_

/*____________________________________________________________________________*\
 *
	All exported and imported shared objects have C linkage.
\*____________________________________________________________________________*/
#if !defined(PUBLIC_PIAPI)
#	if defined(__cplusplus)
#		define PUBLIC_PIAPI extern "C" 
#	else
#		define PUBLIC_PIAPI
#	endif
#endif

/* ---
	API include files
--- */

#include "PIDefs.h"			/* standard return/error codes and macros */
#include "PIUtil.h"			/* miscellanious utilities */
#include "PISync.h"			/* platform synchronization objects and threads */
#include "PIThread.h"		/* threads of control */
#include "PIPlat.h"			/* platform independant OS interface */
#include "PIFInfo.h"		/* information on file system objects */
#include "PIFMap.h"			/* mapped file object */
#include "PIDLL.h"			/* dynamic link libraries */
#include "PITimer.h"		/* timer */
#include "PIFile.h"			/* files */

#endif	/* PIAPI_H_ */

